GNU logs - #30795, boring messages


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30795: Issue with date command and EDT
Resent-From: Jared Chagnon <jchagnon@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Tue, 13 Mar 2018 15:27:01 +0000
Resent-Message-ID: <handler.30795.B.152095476518160 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 30795
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 30795 <at> debbugs.gnu.org
X-Debbugs-Original-To: "bug-coreutils@HIDDEN" <bug-coreutils@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.152095476518160
          (code B ref -1); Tue, 13 Mar 2018 15:27:01 +0000
Received: (at submit) by debbugs.gnu.org; 13 Mar 2018 15:26:05 +0000
Received: from localhost ([127.0.0.1]:59685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1evloT-0004iq-0B
	for submit <at> debbugs.gnu.org; Tue, 13 Mar 2018 11:26:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51828)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jchagnon@HIDDEN>) id 1evljh-0004aA-9A
 for submit <at> debbugs.gnu.org; Tue, 13 Mar 2018 11:21:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jchagnon@HIDDEN>) id 1evljb-000792-1D
 for submit <at> debbugs.gnu.org; Tue, 13 Mar 2018 11:21:04 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 RECEIVED_FROM_WINDOWS_HOST,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40800)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jchagnon@HIDDEN>)
 id 1evlja-00078J-Ra
 for submit <at> debbugs.gnu.org; Tue, 13 Mar 2018 11:21:02 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42788)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jchagnon@HIDDEN>) id 1evljZ-0005QN-BE
 for bug-coreutils@HIDDEN; Tue, 13 Mar 2018 11:21:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jchagnon@HIDDEN>) id 1evljV-00071c-9X
 for bug-coreutils@HIDDEN; Tue, 13 Mar 2018 11:21:01 -0400
Received: from mail-sn1nam01on0118.outbound.protection.outlook.com
 ([104.47.32.118]:30749 helo=NAM01-SN1-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jchagnon@HIDDEN>)
 id 1evljU-000719-Re
 for bug-coreutils@HIDDEN; Tue, 13 Mar 2018 11:20:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ENSERVIO.onmicrosoft.com; s=selector1-Enservio-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version;
 bh=4IxrjBX9d4n6o7RVaXbU887kd7ERkd9X0wWp0vGBS3I=;
 b=hI5tJrhiDqOyM4NdFKgboKs0ucGy2UYUoc1v+yHDQTV4HR7w6pjiDaRbg9h3B+bCHnl+56w+uU+4aWjNj5rQ51zMq2UZkqFlVFmDLbMOuB+0hSzjAE+EcvW3B2Ix77QU3xeMZZqPtULicRsQRjEaHZ50vjocI22uRSf42wXHL+s=
Received: from BN6PR04MB0866.namprd04.prod.outlook.com (10.174.94.38) by
 BN6PR04MB1173.namprd04.prod.outlook.com (10.173.205.151) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384_P256) id
 15.20.548.13; Tue, 13 Mar 2018 15:20:55 +0000
Received: from BN6PR04MB0866.namprd04.prod.outlook.com ([10.174.94.38]) by
 BN6PR04MB0866.namprd04.prod.outlook.com ([10.174.94.38]) with mapi id
 15.20.0567.018; Tue, 13 Mar 2018 15:20:54 +0000
From: Jared Chagnon <jchagnon@HIDDEN>
Thread-Topic: Issue with date command and EDT
Thread-Index: AQHTusyi+x12KNOZQ0maE8GoZNjBvKPOSCgA
Date: Tue, 13 Mar 2018 15:20:54 +0000
Message-ID: <E11DB410-4441-4AA6-9B6B-950710E96162@HIDDEN>
References: <4872521C-9554-4B27-997F-AE8FE49400D4@HIDDEN>
In-Reply-To: <4872521C-9554-4B27-997F-AE8FE49400D4@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=jchagnon@HIDDEN; 
x-originating-ip: [2600:1000:b00c:abe5:d7c:587a:bc1b:45db]
x-ms-publictraffictype: Email
x-microsoft-exchange-diagnostics: 1; BN6PR04MB1173;
 7:laszEN77OYQ6hjQvl8CJOoHD2LDPtrj4r9AJwqhSI57hqvfiw8RgzhJV/EiqRrD62Grn8R3G+ID9msgzduMY7Xd5Ezxoch+CO0CqOHq18tdsKzhiJAWLrAqnB9lhddx60s/66u7NNOxcr1cAweEGp5gEArwX+fmmQaZyNuM9pjNpitgFZ2PhM97MKBB+Oyk6KJBgWoDXkbKS2NBEWbyW2LhByok60/U7fq3hyYr0/3pQtAZROK7ZRUqdpYb0/vF3
x-ms-exchange-antispam-srfa-diagnostics: SSOS;
x-ms-office365-filtering-correlation-id: d2eea04e-fb03-4367-3dea-08d588f603ce
x-microsoft-antispam: UriScan:; BCL:0; PCL:0;
 RULEID:(7020095)(4652020)(5600026)(4604075)(3008032)(4534165)(4627221)(201703031133081)(201702281549075)(2017052603328)(7153060)(49563074)(7193020);
 SRVR:BN6PR04MB1173; 
x-ms-traffictypediagnostic: BN6PR04MB1173:
x-microsoft-antispam-prvs: <BN6PR04MB1173C281BD15D903BBA7022BA2D20@HIDDEN>
x-exchange-antispam-report-test: UriScan:(158342451672863)(26569705896926);
x-exchange-antispam-report-cfa-test: BCL:0; PCL:0;
 RULEID:(102415395)(6040522)(2401047)(8121501046)(5005006)(3002001)(93006095)(93001095)(10201501046)(3231221)(944501244)(52105095)(6041310)(20161123560045)(20161123564045)(20161123562045)(201703131423095)(201702281528075)(20161123555045)(201703061421075)(201703061406153)(20161123558120)(6072148)(201708071742011);
 SRVR:BN6PR04MB1173; BCL:0; PCL:0; RULEID:; SRVR:BN6PR04MB1173; 
x-forefront-prvs: 0610D16BBE
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(346002)(39850400004)(366004)(39380400002)(376002)(396003)(199004)(189003)(6916009)(2501003)(6486002)(6246003)(99286004)(33656002)(2351001)(76176011)(46003)(236005)(6436002)(2906002)(2950100002)(54556002)(82746002)(6512007)(606006)(54896002)(6306002)(5640700003)(3280700002)(733005)(2900100001)(14454004)(53936002)(68736007)(83716003)(86362001)(478600001)(106356001)(6506007)(102836004)(316002)(3660700001)(229853002)(25786009)(36756003)(8676002)(5660300001)(77096007)(8936002)(81166006)(81156014)(7736002)(53546011)(99936001)(105586002)(186003)(97736004)(6116002);
 DIR:OUT; SFP:1102; SCL:1; SRVR:BN6PR04MB1173;
 H:BN6PR04MB0866.namprd04.prod.outlook.com; FPR:; SPF:None; PTR:InfoNoRecords;
 A:1; MX:1; LANG:en; 
received-spf: None (protection.outlook.com: enservio.com does not designate
 permitted sender hosts)
x-microsoft-antispam-message-info: HYASVSPTx8aqs76Zd+npgKrxq+RnXhH7pg1CCwG4SGq1lhaiAgSfkTYsIX+BUZRL5oe51dKDn0fnw9vA0VZPnHLennK1uYv4jvBE4TmaJC/WFVY43cew/c8FI81hRjLw87qDk2t/AWHK5wCdyrM7odxagblIwVyEDFYCrQM4+2FVMD9mPVDKguV37UQzv76LMiqMq201FOM+WDJLXvZcPx8M7kC3ucTvq33siU7r8iwvBjEuFNoVlxR4Q6g39JwuQcaMdMObMWcfgmtBCZeJmMKb6Xz2PFlPwd45XBV8D/NVkQcxmZSs0i988cevUmHRfcKO3yE9BbRlUXZdDBx29g==
spamdiagnosticoutput: 1:99
spamdiagnosticmetadata: NSPM
Content-Type: multipart/related;
 boundary="_004_E11DB41044414AA69B6B950710E96162enserviocom_";
 type="multipart/alternative"
MIME-Version: 1.0
X-OriginatorOrg: Enservio.com
X-MS-Exchange-CrossTenant-Network-Message-Id: d2eea04e-fb03-4367-3dea-08d588f603ce
X-MS-Exchange-CrossTenant-originalarrivaltime: 13 Mar 2018 15:20:54.9192 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: f316cbf4-aebf-4375-9729-9adeb7dc3825
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN6PR04MB1173
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Mailman-Approved-At: Tue, 13 Mar 2018 11:26:03 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--_004_E11DB41044414AA69B6B950710E96162enserviocom_
Content-Type: multipart/alternative;
	boundary="_000_E11DB41044414AA69B6B950710E96162enserviocom_"

--_000_E11DB41044414AA69B6B950710E96162enserviocom_
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64

Rm9yZ290IHRvIGluY2x1ZGUgdGhpczoNCg0KT1MgUmVsZWFzZToNClJlZCBIYXQgRW50ZXJwcmlz
ZSBMaW51eCBTZXJ2ZXIgcmVsZWFzZSA2LjkgKFNhbnRpYWdvKQ0KDQpQYWNrYWdlcyBpbnN0YWxs
ZWQ6DQp0emRhdGEtMjAxOGMtMS5lbDYubm9hcmNoDQpjb3JldXRpbHMtOC40LTQ2LjAuMS5lbDYu
eDg2XzY0DQpjb3JldXRpbHMtbGlicy04LjQtNDYuMC4xLmVsNi54ODZfNjQNCg0KSmFyZWQgQ2hh
Z25vbg0KU3lzdGVtcyBFbmdpbmVlcmluZyBNYW5hZ2VyDQpQOiAgNzgxLjI5Mi42MDMzDQpNOiAg
NTA4LjU2Ni4wMDgxDQo8bWFpbHRvOmpjaGFnbm9uQGVuc2VydmlvLmNvbT5qY2hhZ25vbkBlbnNl
cnZpby5jb208bWFpbHRvOmpjaGFnbm9uQGVuc2VydmlvLmNvbT4NCnd3dy5lbnNlcnZpby5jb208
aHR0cDovL3d3dy5lbnNlcnZpby5jb20vPg0KDQpbY2lkOkE3QUVFOEE1LTlEOUQtNDRCOC1CNzdD
LUJFMzZGNUQ2QTJDNUBlbnNlcnZpby5sYW5dDQoNCk9uIE1hciAxMywgMjAxOCwgYXQgOToxMCBB
TSwgSmFyZWQgQ2hhZ25vbiA8amNoYWdub25AZW5zZXJ2aW8uY29tPG1haWx0bzpqY2hhZ25vbkBl
bnNlcnZpby5jb20+PiB3cm90ZToNCg0KUGxlYXNlIHNlZSB0aGUgaXNzdWUgYmVsb3c6DQoNCkkg
c2V0dXAgYSB0ZXN0IHNjcmlwdDoNCg0KIy9iaW4vYmFzaA0KDQplY2hvICJgZGF0ZWAiDQplY2hv
ICJgZGF0ZSArJXpgIg0KDQpjdXJyZW50ZGF0ZT1gZGF0ZSArJVklbSVkXyVIJU0lU2ANCmVjaG8g
ImN1cnJlbnQgZGF0ZTogJGN1cnJlbnRkYXRlIg0KDQpvbGRkYXRlPWBkYXRlICIrJVklbSVkXyVI
JU0lUyIgLS1kYXRlPSc0IGRheXMgYWdvJ2ANCmVjaG8gIm9sZCBkYXRlIDQgZGF5cyBhZ286ICRv
bGRkYXRl4oCdDQoNCuKAlOKAlOKAlOKAlOKAlCBPdXRwdXQg4oCU4oCU4oCU4oCU4oCUDQoNCi4v
ZGF0ZXRlc3Quc2gNClR1ZSBNYXIgMTMgMDk6MDg6MzQgRURUIDIwMTgNCi0wNDAwDQpjdXJyZW50
IGRhdGU6IDIwMTgwMzEzXzA5MDgzNA0Kb2xkIGRhdGUgNCBkYXlzIGFnbzogMjAxODAzMDlfMDgw
ODM0DQoNCuKAlOKAlOKAlOKAlOKAlCBOb3RlcyDigJTigJTigJTigJTigJTigJQNCg0KTXkgbG9j
YWwgdGltZSB6b25lIGlzIEFtZXJpY2FcTmV3X1lvcmsuICBQbGVhc2Ugbm90ZSB0aGUgZGF0ZSBt
b2RpZmljYXRpb24gaXMgbm90IHVzaW5nIEVEVCBhbmQgcmVzdWx0aW5nIGluIEVTVC4NCg0KSmFy
ZWQgQ2hhZ25vbg0KU3lzdGVtcyBFbmdpbmVlcmluZyBNYW5hZ2VyDQpQOiAgNzgxLjI5Mi42MDMz
DQpNOiAgNTA4LjU2Ni4wMDgxDQo8bWFpbHRvOmpjaGFnbm9uQGVuc2VydmlvLmNvbT5qY2hhZ25v
bkBlbnNlcnZpby5jb208bWFpbHRvOmpjaGFnbm9uQGVuc2VydmlvLmNvbT4NCnd3dy5lbnNlcnZp
by5jb208aHR0cDovL3d3dy5lbnNlcnZpby5jb20vPg0KDQpbY2lkOkE3QUVFOEE1LTlEOUQtNDRC
OC1CNzdDLUJFMzZGNUQ2QTJDNUBlbnNlcnZpby5sYW5dDQoNCg0K

--_000_E11DB41044414AA69B6B950710E96162enserviocom_
Content-Type: text/html; charset="utf-8"
Content-ID: <2B9CEB32B7580C4895F9516A0AC449D3@HIDDEN>
Content-Transfer-Encoding: base64
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--_000_E11DB41044414AA69B6B950710E96162enserviocom_--

--_004_E11DB41044414AA69B6B950710E96162enserviocom_
Content-Type: image/png; name="image001.png"
Content-Description: image001.png
Content-Disposition: inline; filename="image001.png"; size=5469;
	creation-date="Tue, 13 Mar 2018 15:20:54 GMT";
	modification-date="Tue, 13 Mar 2018 15:20:54 GMT"
Content-ID: <A7AEE8A5-9D9D-44B8-B77C-BE36F5D6A2C5@HIDDEN>
Content-Transfer-Encoding: base64
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--_004_E11DB41044414AA69B6B950710E96162enserviocom_--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Jared Chagnon <jchagnon@HIDDEN>
Subject: bug#30795: Acknowledgement (Issue with date command and EDT)
Message-ID: <handler.30795.B.152095476518160.ack <at> debbugs.gnu.org>
References: <E11DB410-4441-4AA6-9B6B-950710E96162@HIDDEN>
X-Gnu-PR-Message: ack 30795
X-Gnu-PR-Package: coreutils
Reply-To: 30795 <at> debbugs.gnu.org
Date: Tue, 13 Mar 2018 15:27:01 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-coreutils@HIDDEN

If you wish to submit further information on this problem, please
send it to 30795 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
30795: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D30795
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30795: Issue with date command and EDT
Resent-From: Assaf Gordon <assafgordon@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Wed, 14 Mar 2018 01:44:02 +0000
Resent-Message-ID: <handler.30795.B30795.15209917907601 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30795
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Jared Chagnon <jchagnon@HIDDEN>, 30795 <at> debbugs.gnu.org
Received: via spool by 30795-submit <at> debbugs.gnu.org id=B30795.15209917907601
          (code B ref 30795); Wed, 14 Mar 2018 01:44:02 +0000
Received: (at 30795) by debbugs.gnu.org; 14 Mar 2018 01:43:10 +0000
Received: from localhost ([127.0.0.1]:60207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1evvRd-0001yW-MM
	for submit <at> debbugs.gnu.org; Tue, 13 Mar 2018 21:43:09 -0400
Received: from mail-pf0-f178.google.com ([209.85.192.178]:42826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1evvRc-0001yB-Nb
 for 30795 <at> debbugs.gnu.org; Tue, 13 Mar 2018 21:43:09 -0400
Received: by mail-pf0-f178.google.com with SMTP id a16so722115pfn.9
 for <30795 <at> debbugs.gnu.org>; Tue, 13 Mar 2018 18:43:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-language:content-transfer-encoding;
 bh=MrbO2JhZrrp0OHENauhsfxNBkoPcE84H+9uDsm2m4qY=;
 b=vKKRJD4OrQVQMEn2nEpAGgs5DDP5Mr3FXkvhadcRcjIv56qN1CpoeK28dMNGgxAq/Z
 LBFyrQo4K/pS9JNcWti9zLGz93/Stl+CGBgd5GxbiZ8XdUJvZhD6nzP8vq6KeBtRRZaO
 ZJWxxB5JuJfiCWEOm3NqEnTB6OzvAdtMOSr087MKQkr59OV5d/zFn8vrzMwkzLwnjl7t
 LOIX3rXJwxdGHqsoxhJBoPV03FHEPB6jMuKI9YhnP298hMFUUI69fv9x9vlqDJ4vwA2V
 Q0Y1QTV4lxbnWwnx4pK3gcmAprtjhiOvhbT14CzDItd7baXJ0ZfBgDytixW/F2uaTedH
 gUww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=MrbO2JhZrrp0OHENauhsfxNBkoPcE84H+9uDsm2m4qY=;
 b=YQSnQP6GtcAFoFX4KZ7kZhLcNYrInHEJJ5GEK1DJno9HIcZj+UKRoIGx+RDruRMgz7
 WgeUxwDvYvsFwUps4mZ0Jo5XNhVdK6k6zAcw+2XpnV1ydUcTTyqA1hs6/EUl9JJDFjEZ
 Nze2ZW9nAdpwdvVrkTEDDfPlUZmSVQT6OkSx/e1EsInuSOMDKPJ3F3sOATsR06e8LHu2
 5iIU29yLeubNEzMRf7ol9v1KP11FeI/qcd/Dn1wQMckvJ1AoXLguAGGrZ8GVJwaiHZfK
 Hh9e2gRlsbep/U5OvqlHm31hej17Nm8ayp0Rb1rY8CB8PNK/XTRCagGQUSF8Mz+A9vQV
 m/fQ==
X-Gm-Message-State: AElRT7FeqZ0c30nh1UFQ7VIkLTwi0ZZkBeE+hqOztrWx4Sj+qO7hpBLc
 Bq7WhgcAI9Onz3bzvQoe9mXf2JzA
X-Google-Smtp-Source: AG47ELvAjA86dae6KD4hv7ubFgs/y84HnXYahL3yKSp3QMW8wjj414RIw4svSsXBQ4NyRK/yrMh8WQ==
X-Received: by 10.98.190.26 with SMTP id l26mr350180pff.62.1520991782311;
 Tue, 13 Mar 2018 18:43:02 -0700 (PDT)
Received: from [192.168.88.239] (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id 14sm2326663pfi.164.2018.03.13.18.43.00
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 13 Mar 2018 18:43:01 -0700 (PDT)
References: <4872521C-9554-4B27-997F-AE8FE49400D4@HIDDEN>
 <E11DB410-4441-4AA6-9B6B-950710E96162@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <6b20290f-f2b6-33ed-f790-fb133fd2f2a7@HIDDEN>
Date: Tue, 13 Mar 2018 19:42:59 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.6.0
MIME-Version: 1.0
In-Reply-To: <E11DB410-4441-4AA6-9B6B-950710E96162@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Hello,

On 2018-03-13 09:20 AM, Jared Chagnon wrote:
> I setup a test script:
> 
> #/bin/bash
> 
> echo "`date`"
> echo "`date +%z`"
> 
> currentdate=`date +%Y%m%d_%H%M%S`
> echo "current date: $currentdate"
> 
> olddate=`date "+%Y%m%d_%H%M%S" --date='4 days ago'`
> echo "old date 4 days ago: $olddate”

An unrelated suggestion:
There's no need to use backticks to execute date and return the value
and then echo it. Simply running 'date' will print the date to STDOUT.
e.g.

   date
   date +%z
   printf "current date: "
   date +%Y%m%d_%H%M%S

or even:

   date +"Current Date: %Y%m%d_%H%M%S"

> ————— Output —————
> 
> ./datetest.sh
> Tue Mar 13 09:08:34 EDT 2018
> -0400
> current date: 20180313_090834
> old date 4 days ago: 20180309_080834
> 
> ————— Notes ——————
> 
> My local time zone is America\New_York.  Please note the date modification is not using EDT and resulting in EST.

First,
lets verify our baseline assumptions about New York time zones
are the same:

EST = Eastern Standard Time, used in autumn/winter = UTC-05:00.
EDT = Eastern Daylight Time, used in spring/summer = UTC-04:00.

In 2018, daylight saving time (DST) started on March 11th, 2:am.
"started" here means switching from EST to EDT.

That is:
   2018-03-09 is EST (still winter, DST not used).
   2018-03-13 is EDT (summer time, DST used).

This can be verified with:

   $ TZ="America/New_York" date +%F-%Z -d '2018-03-09'
   2018-03-09-EST
   $ TZ="America/New_York" date +%F-%Z -d '2018-03-13'
   2018-03-13-EDT


Second,
in your example, the current date is 2018-03-13 (and implied: EDT),
and subtracting 4 days gives 2018-03-09.
Due to your time zone, 'date' knows that your timezone does use DST.
This date adjustment also crossed the DST change date (march 11th),
so date correctly adjusted the clock one hour backwards (from
09:08:34 to 08:08:34.


Third,
in newer version we've added a "--debug" option that helps
diagnosing such issues:

   $ TZ="America/New_York" \
      date --debug +%Y%m%d_%H%M%S_%Z --date="4 days ago"
   date: parsed relative part: -4 day(s)
   date: input timezone: TZ="America/New_York" environment value
   date: using current time as starting value: '21:13:23'
   date: using current date as starting value: '(Y-M-D) 2018-03-13'
   date: starting date/time: '(Y-M-D) 2018-03-13 21:13:23'
   date: warning: when adding relative days, it is recommended to \
             specify noon
   date: after date adjustment (+0 years, +0 months, -4 days),
   date:     new date/time = '(Y-M-D) 2018-03-09 20:13:23'
->date: warning: daylight saving time changed after date adjustment <-
   date: '(Y-M-D) 2018-03-09 20:13:23' = 1520644403 epoch-seconds
   date: timezone: TZ="America/New_York" environment value
   date: final: 1520644403.136862048 (epoch-seconds)
   date: final: (Y-M-D) 2018-03-10 01:13:23 (UTC)
   date: final: (Y-M-D) 2018-03-09 20:13:23 (UTC-05)
   20180309_201323_EST



Fourth,
There is a subtle issue of how 'date' knows when to do DST adjustments
(and when not to).

When using 'date' without specifying the current date/time, it
gets the date,time and time zone from your operating system.

In your case it was "America/New_York". 'date' then checked the timezone
database and so it knows that NY does use daylight saving time,
and it knows that currently it is EDT, will subtract an hour when 
switching to EST.

When giving 'date' an explicit date without time zone, it doesn't
know if DST should be used or not - and assumes it should not be used.
Therefore it will not subtract an hour.

Observe the following:

   $ date +%F
   2018-03-13

   # Without timezone - hour stays the same:
   $ date -d '2018-03-13 09:00:00 4 days ago'
   Fri Mar  9 09:00:00 EST 2018

   # With timezone that indicates DST - hour is adjusted:
   $ date -d '2018-03-13 09:00:00 EDT 4 days ago'
   Fri Mar  9 08:00:00 EST 2018

These issues can be troubleshooted using the "--debug" option.



Fifth,
There is also one additional nuance:
If you don't specify the hour, 'date' assumes midnight.
If DST is active, it will subtract an hour resulting in 11pm
in the previous day:

   $ date -d '2018-03-13 4 days ago'
   Fri Mar  9 00:00:00 EST 2018

   $ date -d '2018-03-13 EDT 4 days ago'
   Thu Mar  8 23:00:00 EST 2018

This will be very confusing if one prints only the date, eg:

   $ date -d '2018-03-13 4 days ago' +%F
   2018-03-09

   $ date -d '2018-03-13 EDT 4 days ago' +%F
   2018-03-08

Therefore it is always recommended to use noon (12pm)
as explicit time when adjusting days (and when using --debug
there will be a warning to that effect).








If this explanation solves the issue - great.
If not, please provide further details and examples of the commands and
output you expect.

regards,
  - assaf




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30795: Issue with date command and EDT
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Thu, 15 Mar 2018 00:23:01 +0000
Resent-Message-ID: <handler.30795.B30795.15210733345828 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30795
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Assaf Gordon <assafgordon@HIDDEN>, Jared Chagnon <jchagnon@HIDDEN>, 30795 <at> debbugs.gnu.org
Received: via spool by 30795-submit <at> debbugs.gnu.org id=B30795.15210733345828
          (code B ref 30795); Thu, 15 Mar 2018 00:23:01 +0000
Received: (at 30795) by debbugs.gnu.org; 15 Mar 2018 00:22:14 +0000
Received: from localhost ([127.0.0.1]:33795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ewGes-0001Vw-B7
	for submit <at> debbugs.gnu.org; Wed, 14 Mar 2018 20:22:14 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:56490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1ewGeq-0001Vh-S0
 for 30795 <at> debbugs.gnu.org; Wed, 14 Mar 2018 20:22:13 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 831001616C5;
 Wed, 14 Mar 2018 17:22:07 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id WgejGqYoYBX0; Wed, 14 Mar 2018 17:22:05 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 4B7761616D0;
 Wed, 14 Mar 2018 17:22:05 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id an96g8GyaJ7B; Wed, 14 Mar 2018 17:22:05 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 318FD1616C5;
 Wed, 14 Mar 2018 17:22:05 -0700 (PDT)
References: <4872521C-9554-4B27-997F-AE8FE49400D4@HIDDEN>
 <E11DB410-4441-4AA6-9B6B-950710E96162@HIDDEN>
 <6b20290f-f2b6-33ed-f790-fb133fd2f2a7@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <135787b5-479a-dcb0-985a-f2dc43de276e@HIDDEN>
Date: Wed, 14 Mar 2018 17:22:04 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.6.0
MIME-Version: 1.0
In-Reply-To: <6b20290f-f2b6-33ed-f790-fb133fd2f2a7@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 03/13/2018 06:42 PM, Assaf Gordon wrote:
> Therefore it is always recommended to use noon (12pm)
> as explicit time when adjusting days

Maybe "date" should default to 12:00 instead of to 00:00 when the time 
is not specified? That would avoid this sort of problem, typically.





Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30795: Issue with date command and EDT
Resent-From: Assaf Gordon <assafgordon@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Thu, 15 Mar 2018 07:16:02 +0000
Resent-Message-ID: <handler.30795.B30795.152109813923078 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30795
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Paul Eggert <eggert@HIDDEN>
Cc: Jared Chagnon <jchagnon@HIDDEN>, 30795 <at> debbugs.gnu.org
Received: via spool by 30795-submit <at> debbugs.gnu.org id=B30795.152109813923078
          (code B ref 30795); Thu, 15 Mar 2018 07:16:02 +0000
Received: (at 30795) by debbugs.gnu.org; 15 Mar 2018 07:15:39 +0000
Received: from localhost ([127.0.0.1]:33967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ewN6x-00060A-E1
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2018 03:15:39 -0400
Received: from mail-pl0-f41.google.com ([209.85.160.41]:46898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1ewN6w-0005zy-5x
 for 30795 <at> debbugs.gnu.org; Thu, 15 Mar 2018 03:15:38 -0400
Received: by mail-pl0-f41.google.com with SMTP id f5-v6so3217653plj.13
 for <30795 <at> debbugs.gnu.org>; Thu, 15 Mar 2018 00:15:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=QDtqTI/Fd2wbKstyu9+u1FFfGIGM1d2I8xevFbkT0aQ=;
 b=AKDgkLzNoDaDBh1PV3mqFIHFJxtgKmroEP/QIqG3Bht8osLBbxOL8yW+EUPbDXkSE6
 +eScUjV8lweOsn8ETvNhhzGv/I0zMN9BiPvBkGpWTfmIUzv9YR+6igOHH6BHg5cqo3mz
 YfpLCzbJ51nocZkZqTKzHqiaZTv6UanlyiCDkzvGdZaK2Ffn2F01EJ1uqZ1vSliLPSdf
 l+ODn/VNWqjt/qm6shcL1vc1erzVgiUcq6l+XGMJO4BL3qWhpeqPygL3dnmFsRARMMe7
 iuV80qYYlgszu2y6Z6+6KD3CIeAp2+qUOl+TnVNF8/IwaD7DqXo2Pfum19eLySGN79Lz
 8u4A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:references
 :mime-version:content-disposition:in-reply-to:user-agent;
 bh=QDtqTI/Fd2wbKstyu9+u1FFfGIGM1d2I8xevFbkT0aQ=;
 b=KbWiEoREDSV3jXG4CI2kSxe02koADHcOFdOLh4N/pKKSeq/7KYpwYZeOM5M2uulVt2
 duipsTAJFq9k3lG6GuUazTiidjvtA07UOk85dj/SWw20JHjGUHwqrWMue18dVAE9qXz4
 MSToCppQRl6sfkoWrUVs0snOx4C5R2bL/3Rihy6FYQsBbWbnhIMROR8ki1uWFvKDRHhR
 QSySuQERNmaaxmT4qhIgxrWbflm8furGJTbZIKahDQ8TyehmItf5KIw0Zc0guBMSVl09
 0DSa5OgILfbgmRn+6zg1MnWM/nRRse57sR6TSdJPqSv+30hm+zKlWnQg8pWYLnFQ10wj
 IXmA==
X-Gm-Message-State: AElRT7GLIF1Ck+9Pdw+/PHCAgKw+eWr4L2mih669ms7pLG4liAUoF8Wm
 oy4MaTfL3o7SV6zygTr5MA4=
X-Google-Smtp-Source: AG47ELulPpa8D8tUBtoj489ZP9amHmmefEu4ooPC6sMricZGAcS66+gdnZK54PlqugYVD4sEI1oj2w==
X-Received: by 2002:a17:902:7716:: with SMTP id
 n22-v6mr1241038pll.268.1521098132417; 
 Thu, 15 Mar 2018 00:15:32 -0700 (PDT)
Received: from tomato (moose.housegordon.com. [184.68.105.38])
 by smtp.gmail.com with ESMTPSA id x5sm7912312pfm.49.2018.03.15.00.15.30
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 15 Mar 2018 00:15:31 -0700 (PDT)
Date: Thu, 15 Mar 2018 01:15:28 -0600
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <20180315071528.GC29079@tomato>
References: <4872521C-9554-4B27-997F-AE8FE49400D4@HIDDEN>
 <E11DB410-4441-4AA6-9B6B-950710E96162@HIDDEN>
 <6b20290f-f2b6-33ed-f790-fb133fd2f2a7@HIDDEN>
 <135787b5-479a-dcb0-985a-f2dc43de276e@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="pf9I7BMVVzbSWLtt"
Content-Disposition: inline
In-Reply-To: <135787b5-479a-dcb0-985a-f2dc43de276e@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--pf9I7BMVVzbSWLtt
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Hello,

On Wed, Mar 14, 2018 at 05:22:04PM -0700, Paul Eggert wrote:
> On 03/13/2018 06:42 PM, Assaf Gordon wrote:
> >Therefore it is always recommended to use noon (12pm)
> >as explicit time when adjusting days
> 
> Maybe "date" should default to 12:00 instead of to 00:00 when the time is
> not specified? That would avoid this sort of problem, typically.

Technically it's an easy fix (patch attached),
but it changes a long-standing behavior.

I wonder if it will break some existing scripts that might rely
on being 'midnight'? (even implicitly, because the user isn't aware of
this nuance).

For example, currently '2018-03-15 + 14 hours' is 2pm on March 15th.
With this change, it'll result in 2am on March 16th.

What do you think?

-assaf

--pf9I7BMVVzbSWLtt
Content-Type: text/x-diff; charset=us-ascii
Content-Disposition: attachment; filename="0001-parse-datetime-default-to-noon-for-dates-without-tim.patch"

From 364bbe1b8adbb2fd3a67569de412273711162aab Mon Sep 17 00:00:00 2001
From: Assaf Gordon <assafgordon@HIDDEN>
Date: Thu, 15 Mar 2018 00:59:28 -0600
Subject: [PATCH] parse-datetime: default to noon for dates without time

Prefer noon (instead of midnight) to reduce unexpected date shifts
with date arithmetics. Discussed in https://bugs.gnu.org/30795#11

* lib/parse-datetime.y (parse_datetime2): Set tm_hour to 12 (noon)
instead of 0 (midnight) if time wasn't given.
---
 ChangeLog            | 8 ++++++++
 lib/parse-datetime.y | 5 +++--
 2 files changed, 11 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index a9cd4ae..e71935d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+2018-03-15  Assaf Gordon <assafgordon@HIDDEN>
+
+	parse-datetime: default to noon for dates without time
+	Prefer noon (instead of midnight) to reduce unexpected date shifts
+	with date arithmetics. Discussed in https://bugs.gnu.org/30795#11
+	* lib/parse-datetime.y (parse_datetime2): Set tm_hour to 12 (noon)
+	instead of 0 (midnight) if time wasn't given.
+
 2018-03-08  Paul Eggert  <eggert@HIDDEN>
 
 	fflush: be more paranoid about libio.h change
diff --git a/lib/parse-datetime.y b/lib/parse-datetime.y
index f14bb31..7b183d9 100644
--- a/lib/parse-datetime.y
+++ b/lib/parse-datetime.y
@@ -2019,10 +2019,11 @@ parse_datetime2 (struct timespec *result, char const *p,
         }
       else
         {
-          tm.tm_hour = tm.tm_min = tm.tm_sec = 0;
+          tm.tm_hour = 12;
+          tm.tm_min = tm.tm_sec = 0;
           pc.seconds.tv_nsec = 0;
           if (pc.parse_datetime_debug)
-            dbg_printf ("warning: using midnight as starting time: 00:00:00\n");
+            dbg_printf ("warning: using noon as starting time: 12:00:00\n");
         }
 
       /* Let mktime deduce tm_isdst if we have an absolute timestamp.  */
-- 
2.7.4


--pf9I7BMVVzbSWLtt--




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30795: Issue with date command and EDT
Resent-From: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Thu, 15 Mar 2018 11:19:01 +0000
Resent-Message-ID: <handler.30795.B30795.15211127012784 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30795
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Assaf Gordon <assafgordon@HIDDEN>, Paul Eggert <eggert@HIDDEN>
Cc: Jared Chagnon <jchagnon@HIDDEN>, 30795 <at> debbugs.gnu.org
Received: via spool by 30795-submit <at> debbugs.gnu.org id=B30795.15211127012784
          (code B ref 30795); Thu, 15 Mar 2018 11:19:01 +0000
Received: (at 30795) by debbugs.gnu.org; 15 Mar 2018 11:18:21 +0000
Received: from localhost ([127.0.0.1]:34106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ewQtn-0000io-BY
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2018 07:18:19 -0400
Received: from mail.magicbluesmoke.com ([82.195.144.49]:35196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <P@HIDDEN>) id 1ewQtl-0000ie-MS
 for 30795 <at> debbugs.gnu.org; Thu, 15 Mar 2018 07:18:18 -0400
Received: from localhost.localdomain (unknown [109.76.242.107])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mail.magicbluesmoke.com (Postfix) with ESMTPSA id 3244CB273;
 Thu, 15 Mar 2018 11:18:14 +0000 (GMT)
References: <4872521C-9554-4B27-997F-AE8FE49400D4@HIDDEN>
 <E11DB410-4441-4AA6-9B6B-950710E96162@HIDDEN>
 <6b20290f-f2b6-33ed-f790-fb133fd2f2a7@HIDDEN>
 <135787b5-479a-dcb0-985a-f2dc43de276e@HIDDEN>
 <20180315071528.GC29079@tomato>
From: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Message-ID: <9d2f67c2-0f90-18ec-ab69-7644f93f65a2@HIDDEN>
Date: Thu, 15 Mar 2018 04:18:03 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <20180315071528.GC29079@tomato>
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 15/03/18 00:15, Assaf Gordon wrote:
> Hello,
> 
> On Wed, Mar 14, 2018 at 05:22:04PM -0700, Paul Eggert wrote:
>> On 03/13/2018 06:42 PM, Assaf Gordon wrote:
>>> Therefore it is always recommended to use noon (12pm)
>>> as explicit time when adjusting days
>>
>> Maybe "date" should default to 12:00 instead of to 00:00 when the time is
>> not specified? That would avoid this sort of problem, typically.
> 
> Technically it's an easy fix (patch attached),
> but it changes a long-standing behavior.
> 
> I wonder if it will break some existing scripts that might rely
> on being 'midnight'? (even implicitly, because the user isn't aware of
> this nuance).
> 
> For example, currently '2018-03-15 + 14 hours' is 2pm on March 15th.
> With this change, it'll result in 2am on March 16th.
> 
> What do you think?

Yes picking 12:00 always is too simplistic I think.
The base should be dependent on the relative unit.
I proposed a solution previously at: http://bugs.gnu.org/18159#8

See also https://bugs.gnu.org/11101

cheers,
Pdraig




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#30795: Issue with date command and EDT
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Thu, 15 Mar 2018 22:34:01 +0000
Resent-Message-ID: <handler.30795.B30795.152115320019201 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 30795
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Assaf Gordon <assafgordon@HIDDEN>
Cc: Jared Chagnon <jchagnon@HIDDEN>, 30795 <at> debbugs.gnu.org
Received: via spool by 30795-submit <at> debbugs.gnu.org id=B30795.152115320019201
          (code B ref 30795); Thu, 15 Mar 2018 22:34:01 +0000
Received: (at 30795) by debbugs.gnu.org; 15 Mar 2018 22:33:20 +0000
Received: from localhost ([127.0.0.1]:35493 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ewbR1-0004zd-P6
	for submit <at> debbugs.gnu.org; Thu, 15 Mar 2018 18:33:19 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:49314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1ewbQz-0004zP-I3
 for 30795 <at> debbugs.gnu.org; Thu, 15 Mar 2018 18:33:18 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 8AC5E161637;
 Thu, 15 Mar 2018 15:33:11 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id 1N0aS5UrE1Ae; Thu, 15 Mar 2018 15:33:10 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id CE9A5161668;
 Thu, 15 Mar 2018 15:33:10 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id QNr6Ku3eCGdB; Thu, 15 Mar 2018 15:33:10 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id B019A161637;
 Thu, 15 Mar 2018 15:33:10 -0700 (PDT)
References: <4872521C-9554-4B27-997F-AE8FE49400D4@HIDDEN>
 <E11DB410-4441-4AA6-9B6B-950710E96162@HIDDEN>
 <6b20290f-f2b6-33ed-f790-fb133fd2f2a7@HIDDEN>
 <135787b5-479a-dcb0-985a-f2dc43de276e@HIDDEN>
 <20180315071528.GC29079@tomato>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <367448e6-9a97-12b2-92e8-29eac280fa8c@HIDDEN>
Date: Thu, 15 Mar 2018 15:33:10 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.6.0
MIME-Version: 1.0
In-Reply-To: <20180315071528.GC29079@tomato>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 03/15/2018 12:15 AM, Assaf Gordon wrote:
> Technically it's an easy fix (patch attached),
> but it changes a long-standing behavior.

Yes, that's a problem. Perhaps we should take the last unit requested in=20
the output format, divide that by two, and add that to the time instead.=20
If the output format is %Y-%m-%d the output unit is one day, so we'd add=20
12 hours. With the default output format we'd add only 0.5 s, which=20
would be a no-op.

This isn't as fancy as what P=C3=A1draig is proposing, but it should be e=
asy=20
to implement.





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Oct 2018 02:55:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 22:55:17 2018
Received: from localhost ([127.0.0.1]:52721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHKBZ-0000Gq-F5
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 22:55:17 -0400
Received: from mail-pf1-f172.google.com ([209.85.210.172]:44447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gHKBX-0000Gd-QM
 for control <at> debbugs.gnu.org; Mon, 29 Oct 2018 22:55:16 -0400
Received: by mail-pf1-f172.google.com with SMTP id j13-v6so1522754pff.11
 for <control <at> debbugs.gnu.org>; Mon, 29 Oct 2018 19:55:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=xezIwCKuSWhLF1MqZDXnZSQTzTYsVGBy2i3YwkfcMME=;
 b=RMQbAKD37VhTnjrLuUDWv3MPgpFW7I5XVFleeY28OMLqXzeocwfuafzYpOXQ9r/2B5
 cQK9C1gpKzRtvqK3i2cyh/yMuP59ZKnvSQ8KBSWIvZJGo9ET9JY+6ppzKt5sR3A7kuDQ
 cWVg2fynW9fUL/jBCzADV6akskaYstHRaDZf+f+46yTmbsmyFMXASadh3MzYp/tTJLFW
 jiduGL05N4nWYGKRSifQBLZITJZEa2f6cEVZOk/Ixfpd2D//Fx932hyXAxPD6LC0JvSb
 hacUJYTSr2ECh7RStd15A6+B5AXlY4M3AKfQ70YB8lBjmcb3dRhMWvaZWj/mMdzLW7/f
 oZuQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=xezIwCKuSWhLF1MqZDXnZSQTzTYsVGBy2i3YwkfcMME=;
 b=SGCeNkQ+u0JT1dhnTqyHWt423rVVA6aqaZ8h/f1BkzV5Px5PbZn35oG5rncBm1pKTk
 zlVLGtstBAUoWXjbxmao0ax7MtGQbyTkrm3r9PDrf/9deNa3KziGrZSIz76pcjhFASrm
 oqe29B6R4FCdCgrDf8wxJYiV7IheSALN14eJILdvZRRdvKYAEbUogU/gXM2pVlhJBoWi
 qmrsLFLEhJaANCRLl32ne4/xCP9ZkRN+6jEhTPZd5uMRvWaRgCMw4kPeG+x6/xpEFrnL
 jUj8n8AXgJb+EDNZZ1ysjKDUOTLPBr5H+9oi+YyCi3sFhsrh6JtbKMPslOmNOTcsRKHH
 x8PA==
X-Gm-Message-State: AGRZ1gIjDj+8beTliwVOYMq/JymZCBPCvuUUL7YfPvLEOzJjT7utkA5C
 7r1EpMTRTspdn9vCwcQ3BV7/IO1A750=
X-Google-Smtp-Source: AJdET5eY2LZHO4OKTml/dpDXJIniJgMH407zqBxOBnb1c4L9IGEnXcOUiIdD5NyGQhA5wqpAZlC7vQ==
X-Received: by 2002:a63:fc49:: with SMTP id r9mr15878357pgk.209.1540868109409; 
 Mon, 29 Oct 2018 19:55:09 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 v20-v6sm21164482pfj.107.2018.10.29.19.55.07
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Oct 2018 19:55:08 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <86e9d825-58b5-1816-06cf-c7ca8fbe4e10@HIDDEN>
Date: Mon, 29 Oct 2018 20:55:04 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 30795 wishlist retitle 30795 date: change default
 time from 12am for better DST calc [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.210.172 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 30795 wishlist
retitle 30795 date: change default time from 12am for better DST calc




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Oct 2018 02:55:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 29 22:55:17 2018
Received: from localhost ([127.0.0.1]:52721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHKBZ-0000Gq-F5
	for submit <at> debbugs.gnu.org; Mon, 29 Oct 2018 22:55:17 -0400
Received: from mail-pf1-f172.google.com ([209.85.210.172]:44447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gHKBX-0000Gd-QM
 for control <at> debbugs.gnu.org; Mon, 29 Oct 2018 22:55:16 -0400
Received: by mail-pf1-f172.google.com with SMTP id j13-v6so1522754pff.11
 for <control <at> debbugs.gnu.org>; Mon, 29 Oct 2018 19:55:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=xezIwCKuSWhLF1MqZDXnZSQTzTYsVGBy2i3YwkfcMME=;
 b=RMQbAKD37VhTnjrLuUDWv3MPgpFW7I5XVFleeY28OMLqXzeocwfuafzYpOXQ9r/2B5
 cQK9C1gpKzRtvqK3i2cyh/yMuP59ZKnvSQ8KBSWIvZJGo9ET9JY+6ppzKt5sR3A7kuDQ
 cWVg2fynW9fUL/jBCzADV6akskaYstHRaDZf+f+46yTmbsmyFMXASadh3MzYp/tTJLFW
 jiduGL05N4nWYGKRSifQBLZITJZEa2f6cEVZOk/Ixfpd2D//Fx932hyXAxPD6LC0JvSb
 hacUJYTSr2ECh7RStd15A6+B5AXlY4M3AKfQ70YB8lBjmcb3dRhMWvaZWj/mMdzLW7/f
 oZuQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=xezIwCKuSWhLF1MqZDXnZSQTzTYsVGBy2i3YwkfcMME=;
 b=SGCeNkQ+u0JT1dhnTqyHWt423rVVA6aqaZ8h/f1BkzV5Px5PbZn35oG5rncBm1pKTk
 zlVLGtstBAUoWXjbxmao0ax7MtGQbyTkrm3r9PDrf/9deNa3KziGrZSIz76pcjhFASrm
 oqe29B6R4FCdCgrDf8wxJYiV7IheSALN14eJILdvZRRdvKYAEbUogU/gXM2pVlhJBoWi
 qmrsLFLEhJaANCRLl32ne4/xCP9ZkRN+6jEhTPZd5uMRvWaRgCMw4kPeG+x6/xpEFrnL
 jUj8n8AXgJb+EDNZZ1ysjKDUOTLPBr5H+9oi+YyCi3sFhsrh6JtbKMPslOmNOTcsRKHH
 x8PA==
X-Gm-Message-State: AGRZ1gIjDj+8beTliwVOYMq/JymZCBPCvuUUL7YfPvLEOzJjT7utkA5C
 7r1EpMTRTspdn9vCwcQ3BV7/IO1A750=
X-Google-Smtp-Source: AJdET5eY2LZHO4OKTml/dpDXJIniJgMH407zqBxOBnb1c4L9IGEnXcOUiIdD5NyGQhA5wqpAZlC7vQ==
X-Received: by 2002:a63:fc49:: with SMTP id r9mr15878357pgk.209.1540868109409; 
 Mon, 29 Oct 2018 19:55:09 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 v20-v6sm21164482pfj.107.2018.10.29.19.55.07
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Oct 2018 19:55:08 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <86e9d825-58b5-1816-06cf-c7ca8fbe4e10@HIDDEN>
Date: Mon, 29 Oct 2018 20:55:04 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  severity 30795 wishlist retitle 30795 date: change default
 time from 12am for better DST calc [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.210.172 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

severity 30795 wishlist
retitle 30795 date: change default time from 12am for better DST calc





Last modified: Tue, 30 Oct 2018 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.